Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt

Use this file to discover all available pages before exploring further.

Subscribe

Send this request body to Subscribe to a Trigger to start listening for this event on behalf of your user:
Subscribe Request
POST https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions

Authorization: Bearer {Paragon User Token}
Content-Type: application/json

{
  "integration": "slack",
  "type": "SLACK_TRIGGER_FILE_DELETED",
  "parameters": {}
}
Configuration options: This trigger does not require any configuration options.

Example Payload

This is an example payload that Paragon sends to your configured webhook URL. Learn more about handling trigger payloads in Receiving Webhooks.
Example
{
  "type": "file_deleted",
  "file_id": "F05L9MF5DTQ",
  "channel_ids": [
    "C05LVIR6PP"
  ],
  "event_ts": "1360782804.08312123"
}